# git-cherry-pick-upload(1) Manual Page

## NAME

git-cherry-pick-upload - Upload the diff between a revision and its parent to rietveld.

## SYNOPSIS

    git cherry-pick-upload --branch <remote_branch_name> <commit_hash>

## DESCRIPTION

`git cherry-pick-upload` is used to upload a cherry pick to rietveld. It uses your view of the remote to generate the diff between a revision and its parent, and then uploads that diff to rietveld.

The commit message is annotated with "(cherry picked from commit [parent sha1])" as if it were generated by `git cherry-pick -x`.

## EXAMPLE

    $ git cherry-pick-upload -h
    usage: git_cherry_pick_upload.py [-h] --branch <branch> <commit>

    positional arguments:
      <commit>              SHA to cherry pick.

    optional arguments:
      -h, --help            show this help message and exit
      --branch <branch>, -b <branch>
                            The upstream branch to cherry pick to.

    $ git cherry-pick-upload -b my_branch c02b7d24a066adb747fdeb12deb21bfa
    Found parent revision: b96d69fda53845a205151613a9c4cc93
    Loaded authentication cookies from .codereview_upload_cookies
    Issue created. URL: https://codereview.chromium.org/1234567890
      Uploading base_file for some/path/first.file: OK
      Uploading some/path/first.file: OK
      Uploading base_file for some/path/second.file: OK
      Uploading some/path/second.file: OK
      Uploading base_file for some/path/third.file: OK
      Uploading some/path/third.file: OK
    Finalizing upload: OK

## SEE ALSO

git-cherry-pick(1) git-cl-upload(1)

## CHROMIUM DEPOT_TOOLS

Part of the chromium depot_tools(7) suite. These tools are meant to assist with the development of chromium and related projects. Download the tools from here.